FreePBX | Register | Issues | Wiki | Portal | Support

Can't Apply after upgrade 14 to 15

freepbx
Tags: #<Tag:0x00007fafc5cc1060>

#1

after upgrade from 14 to 15 the apply tab appears when clicked I get the error:

### There was an error during reload: Unknown Error. Please Run: fwconsole reload --verbose

Unknown Error. Please Run: fwconsole reload --verbose

when the stated command is ran on console it get:

Reload Started

In Cron.class.php line 126:

  [Exception]
  Cron line added didn't remain in crontab on final check. Check /tmp/cron.error for reason.


Exception trace:
 () at /var/www/html/admin/libraries/BMO/Cron.class.php:126
 FreePBX\Cron->addLine() at /var/www/html/admin/libraries/BMO/Cron.class.php:226
 FreePBX\Cron->add() at /var/www/html/admin/libraries/Builtin/UpdateManager.php:242
 FreePBX\Builtin\UpdateManager->updateCrontab() at /var/www/html/admin/libraries/Console/Reload.class.php:822
 FreePBX\Console\Command\Reload->installCrons() at /var/www/html/admin/libraries/Console/Reload.class.php:371
 FreePBX\Console\Command\Reload->reload() at /var/www/html/admin/libraries/Console/Reload.class.php:90
 FreePBX\Console\Command\Reload->execute() at /var/www/html/admin/libraries/Composer/vendor/symfony/console/Command/Command.php:255
 Symfony\Component\Console\Command\Command->run() at /var/www/html/admin/libraries/Composer/vendor/symfony/console/Application.php:960
 Symfony\Component\Console\Application->doRunCommand() at /var/www/html/admin/libraries/Composer/vendor/symfony/console/Application.php:255
 Symfony\Component\Console\Application->doRun() at /var/www/html/admin/libraries/Composer/vendor/symfony/console/Application.php:148
 Symfony\Component\Console\Application->run() at /var/lib/asterisk/bin/fwconsole:163

reload [--json] [--dry-run] [--skip-registry-checks] [--dont-reload-asterisk]

the output of /tmp/cron.errror is:


"-":22: bad day-of-month
errors in crontab file, can't install.
"-":22: bad day-of-month
errors in crontab file, can't install.
"-":23: bad day-of-month
errors in crontab file, can't install.
"-":23: bad day-of-month
errors in crontab file, can't install.

Does anyone know how to fix this?


(system) closed #2

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.